Get a publish access record

View as Markdown
Retrieve a single image or marketplace demo publish access record visible to your account. The record type is resolved from the UUID. **Required scopes (any one):** - `air:image_write` (roles: `air_image_publisher`, `air_image_uploader`) - `air:image_publish` (roles: `air_image_publisher`) - `air:marketplace_demo_write` (roles: `air_demo_manager`, `air_org_admin`, `air_user`) - `air:marketplace_demo_publish` (roles: `air_demo_manager`)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequiredformat: "uuid"
A UUID string identifying this image publish access record.

Response

idstringRead-onlyformat: "uuid"
createddatetimeRead-only
modifieddatetimeRead-only
typestringRead-only
Whether this record governs an image or marketplace demo.
resource_idstringRead-only
UUID of the governed image or marketplace demo.
resource_namestring or nullRead-only
Name of the governed image or marketplace demo.
resource_versionstring or nullRead-only

Version of the governed image; null for marketplace demos.

requested_bystring or nullRead-only
Email of the user who submitted this record.
requesting_orgstring or nullRead-only

Human-readable name of the org that submitted this record.

requesting_org_display_namestring or nullRead-only
Requesting org display name.
requesting_org_ngc_org_namestring or nullRead-only
Requesting org NGC name.
reviewed_bystring or nullRead-only
Email of the user who reviewed this record, if reviewed.
statusenum
  • PENDING - Pending
  • APPROVED - Approved
  • DENIED - Denied
  • REMOVED - Removed
  • CANCELLED - Cancelled
  • PENDING_ELEVATION - Pending Elevation
  • PENDING_RESTRICTION - Pending Restriction
  • PENDING_UNPUBLISH - Pending Unpublish
  • PENDING_ALLOWLIST - Pending Allow List Change
  • APPROVED_PENDING_IMAGE_PUBLISH - Approved Pending Image Publish
publicly_publishedbooleanRead-only
prefer_publicbooleanRead-only
justificationstringRead-only
allowed_orgs_request_textstringRead-only
denial_reasonstringRead-only
requested_atdatetime or nullRead-only
reviewed_atdatetime or nullRead-only

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error